import { useSelector } from 'react-redux';

import { selectRoleType } from '@/store/selector';
import { RoleType } from '@/constants/app';

function useRoleType() {
  return useSelector(selectRoleType) || RoleType.Anchor;
}

export default useRoleType;
